dots.v2.droplets.byDroplet_id().actions.get()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.droplets.byDroplet_id(droplet_id).actions.get(requestConfiguration?: RequestConfiguration<ActionsRequestBuilderGetQueryParameters>): Promise<undefined | ActionsGetResponse>Description
To retrieve a list of all actions that have been executed for a Droplet, send
a GET request to /v2/droplets/{droplet_id}/actions.
The results will be returned as a JSON object with an actions key. This will
be set to an array filled with action objects containing the standard
action attributes.
Parameters
Path Parameters
droplet_idinteger requiredExample:
3164444A unique identifier for a Droplet instance.
Query Parameters
perPageinteger optionalExample:
2Number of items returned per page
pageinteger optionalExample:
1Which 'page' of paginated results to return.
Request Sample
Pagination
This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page query parameter:
let response = await client.v2.droplets
.byDroplet_id(3164444).actions.get();
let pages = response?.links?.pages;
while (pages && "next" in pages && typeof pages.next === "string") {
const page = Number(new URL(pages.next).searchParams.get("page"));
response = await client.v2.droplets
.byDroplet_id(3164444).actions.get({
queryParameters: {
page,
},
});
pages = response?.links?.pages;
}Response Example
More Information
See /v2/droplets/{droplet_id}/actions in the API reference for additional detail on responses, headers, parameters, and more.